import { useState } from 'react';
import { useTranslation } from 'react-i18next';
import { PATHS } from '@/shared/constants/paths';
import { useNavigate } from '@/shared/lib/hooks/use-navigate';
import { AccountTab } from '@/entities/account/ui/account-tab';
import { UserManageWrap } from '@/entities/account/ui/user-manage-wrap';
import { AccountTabKeys } from '@/entities/account/model/types';
import { FooterItemActiveKey } from '@/entities/common/model/types';
import { HeaderType } from '@/entities/common/model/types';
import {
	useSetHeaderTitle,
	useSetHeaderType,
	useSetFooterMode,
  useSetOnBack
} from '@/widgets/sub-layout/use-sub-layout';

export const UserManagePage = () => {
  const { t } = useTranslation();
  const { navigate } = useNavigate();

  const [activeTab, ] = useState<AccountTabKeys>(AccountTabKeys.UserManage);
  useSetHeaderTitle(t('account.title'));
  useSetHeaderType(HeaderType.LeftArrow);
  useSetFooterMode(false);
  useSetOnBack(() => {
    navigate(PATHS.home);
  });

  return (
    <>
      <main>
        <div className="tab-content">
          <div className="tab-pane pt-46 active">
            <AccountTab activeTab={ activeTab }></AccountTab>
            <UserManageWrap></UserManageWrap>
          </div>
        </div>
      </main>
    </>
  );
};